%define Name stat
%define Version 2.5
%define Release 3mdk

Summary: A tool for finding out information about a specified file.
Name: %{Name}
Version: %{Version}
Release: %{Release}
License: GPL
Group: File tools 
Source: ftp://metalab.unc.edu/pub/Linux/utils/file/%{Name}-%{Version}.tar.bz2
Patch0: stat-2.4-config.patch.bz2
Patch1: stat-2.4-2gb.patch.bz2
Patch2: stat-2.5-misc.patch.bz2
Patch3: stat-2.5-filearg.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root
Prefix:/usr

%description
The stat utility prints out filesystem level information about a
specified file, including size, permissions, link count, inode, etc.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .2gb
%patch2 -p1 -b .misc
%patch3 -p1 -b .filearg

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install mandir=%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/stat
%{_mandir}/man1/stat.1*

%changelog
* Sun Nov 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5-3mdk
- Really merge in RH patch. :/
  - EXT2/EXT3.
  - Update the usage for the -t (terse) and -v (version) options.
- Before we run do_stat() or do_statfs() make sure we have supplied a 
  file for it.

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5-2mdk
- Merge in RH patch (Patch2).
- Sanity build for 8.1.

* Sun Jul 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5-1mdk
- Bump out a n ew and shiny 2.5.
- RH patch merge.

* Sun Mar 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4-1mdk
- Make a new and shiny 2.4.

* Tue Jan 09 2001 Geoff <snailtalk@mandrakesoft.com> 2.3-1mdk
- a new and shiny source. Finally.

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-16mdk
- use new macros
- BM
- let spechelper do its job (daouda sucks)

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 1.5-14mdk
- fix group
- Make the package relocatable

* Wed Dec 15 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- Little patch :
	- Try to access file before stating it.
	- if it is not accessible print the correct error message.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix handling of RPM_OPT_FLAGS

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- 64bit dev_t causes stack alignment problem (from baccala@freesoft.org)

* Fri Jul 31 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu Jul 30 1998 Alan Iwi <iwi@atm.ox.ac.uk>
- handle stat errors w/o failing

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
